Bug 539414 (CVE-2009-3080) - CVE-2009-3080 kernel: gdth: Prevent negative offsets in ioctl
Summary: CVE-2009-3080 kernel: gdth: Prevent negative offsets in ioctl
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3080
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 539416 539417 539418 539419 539420 539421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 04:10 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:37:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0041 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-01-21 14:10:26 UTC
Red Hat Product Errata RHSA-2010:0046 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-01-19 23:36:43 UTC
Red Hat Product Errata RHSA-2010:0076 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-02-02 20:41:06 UTC
Red Hat Product Errata RHSA-2010:0882 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-12 09:36:39 UTC

Description Eugene Teo (Security Response) 2009-11-20 04:10:37 UTC
Description of problem:
[SCSI] gdth: Prevent negative offsets in ioctl CVE-2009-3080
    
A negative offset could be used to index before the event buffer and lead to a security breach. This issue affects the Linux kernel as shipped in Red Hat Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG.

Upstream commit:
http://git.kernel.org/linus/690e744869f3262855b83b4fb59199cf142765b0

Comment 2 Chuck Ebbert 2009-12-08 22:52:49 UTC
Fixed in upstream kernels 2.6.27.40 and 2.6.31.7

Comment 3 Fedora Update System 2009-12-10 22:54:19 UTC
kernel-2.6.27.41-170.2.117.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.41-170.2.117.fc10

Comment 4 Fedora Update System 2009-12-11 18:26:00 UTC
kernel-2.6.27.41-170.2.117.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Aaron Lippold 2010-01-15 20:51:32 UTC
Added myself to the cc'd list

Comment 6 errata-xmlrpc 2010-01-19 23:36:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0046 https://rhn.redhat.com/errata/RHSA-2010-0046.html

Comment 7 errata-xmlrpc 2010-01-21 14:10:43 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0041 https://rhn.redhat.com/errata/RHSA-2010-0041.html

Comment 11 errata-xmlrpc 2010-02-02 20:41:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0076 https://rhn.redhat.com/errata/RHSA-2010-0076.html

Comment 15 errata-xmlrpc 2010-11-12 09:37:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3 Extended Lifecycle Support

Via RHSA-2010:0882 https://rhn.redhat.com/errata/RHSA-2010-0882.html


Note You need to log in before you can comment on or make changes to this bug.